### 3.14 `unget`

The `unget` command is used to reverse the effect of `get -e`. Typically you might do this when you embark on an edit of a file, and it all goes horribly wrong. Using `unget` allows you to revert to a previously-known state. In fact, if you have exercised some care in checking in new revisions, perhaps using a test suite, then `unget` can be used to return you to the last working version.

#### 3.14.1 Options for `unget`

`-n`

  Do not delete the g-file which you were editing

`-s`

  Operate silently

`-rsid`

  When joint editing is enabled (see Flags), several versions may be checked out for editing. If this is the case, sid must be used to indicate which edit is to be aborted.